| Flutter Impeller |

Public Member Functions | Static Public Member Functions | List of all members
IMPELLER_HPP_NAMESPACE::VulkanSwapchain Class Referencefinal

`#include <impeller.hpp>`

Inheritance diagram for IMPELLER_HPP_NAMESPACE::VulkanSwapchain:

## Public Member Functions
| VulkanSwapchain (ImpellerVulkanSwapchain swapchain, AdoptTag tag)
Surface | AcquireNextSurface () const
Public Member Functions inherited from IMPELLER_HPP_NAMESPACE::Object< ImpellerVulkanSwapchain, ImpellerVulkanSwapchainTraits >
| Object ()=default
| Object (ImpellerVulkanSwapchain object)
| Object (ImpellerVulkanSwapchain object, AdoptTag)
| Object (Object &&other)
| Object (const Object &other)
| ~Object ()
Object & | operator= (Object &&other)
Object & | operator= (const Object &other)
ImpellerVulkanSwapchain | Get () const
| operator bool () const

## Static Public Member Functions
static VulkanSwapchain | Create (const Context &context, void *vulkan_surface_khr)

## Detailed Description

See also
  ImpellerVulkanSwapchain

Definition at line 1394 of file impeller.hpp.

## Constructor & Destructor Documentation

## ◆ VulkanSwapchain()

IMPELLER_HPP_NAMESPACE::VulkanSwapchain::VulkanSwapchain | ( | ImpellerVulkanSwapchain | swapchain,
|  | AdoptTag | tag
| ) |  |
| inline

Definition at line 1397 of file impeller.hpp.

1398 : Object(swapchain, tag) {}
IMPELLER_HPP_NAMESPACE::Object< ImpellerVulkanSwapchain, ImpellerVulkanSwapchainTraits >::Object
Object()=default

Referenced by Create().

## Member Function Documentation

## ◆ AcquireNextSurface()

Surface IMPELLER_HPP_NAMESPACE::VulkanSwapchain::AcquireNextSurface | ( |  | ) | const
| inline

See also
  ImpellerVulkanSwapchainAcquireNextSurfaceNew

Definition at line 1413 of file impeller.hpp.

1413 {
1414 return Surface(
1415 gGlobalProcTable.ImpellerVulkanSwapchainAcquireNextSurfaceNew(Get()),
1416 AdoptTag::kAdopt);
1417 }
IMPELLER_HPP_NAMESPACE::Object< ImpellerVulkanSwapchain, ImpellerVulkanSwapchainTraits >::Get
ImpellerVulkanSwapchain Get() const
Definition: impeller.hpp:269
IMPELLER_HPP_NAMESPACE::AdoptTag::kAdopt
@ kAdopt
IMPELLER_HPP_NAMESPACE::gGlobalProcTable
ProcTable gGlobalProcTable
Definition: playground_test.cc:25

References IMPELLER_HPP_NAMESPACE::Object< ImpellerVulkanSwapchain, ImpellerVulkanSwapchainTraits >::Get(), IMPELLER_HPP_NAMESPACE::gGlobalProcTable, and IMPELLER_HPP_NAMESPACE::kAdopt.

## ◆ Create()

static VulkanSwapchain IMPELLER_HPP_NAMESPACE::VulkanSwapchain::Create | ( | const Context & | context,
|  | void * | vulkan_surface_khr
| ) |  |
| inline static

See also
  ImpellerVulkanSwapchainCreateNew

Definition at line 1403 of file impeller.hpp.

1404 {
1405 return VulkanSwapchain(gGlobalProcTable.ImpellerVulkanSwapchainCreateNew(
1406 context.Get(), vulkan_surface_khr),
1407 AdoptTag::kAdopt);
1408 }
IMPELLER_HPP_NAMESPACE::VulkanSwapchain::VulkanSwapchain
VulkanSwapchain(ImpellerVulkanSwapchain swapchain, AdoptTag tag)
Definition: impeller.hpp:1397

References IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get(), IMPELLER_HPP_NAMESPACE::gGlobalProcTable, IMPELLER_HPP_NAMESPACE::kAdopt, and VulkanSwapchain().

The documentation for this class was generated from the following file:

- impeller/toolkit/interop/impeller.hpp